Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Bump version to 1.4.0

  • Loading branch information...
commit e5914f75c1849a471998d2d284a2a8a788bf5c74 1 parent 1a71d16
@drapergeek drapergeek authored
View
2  Gemfile.lock
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- shoulda-matchers (1.3.0)
+ shoulda-matchers (1.4.0)
activesupport (>= 3.0.0)
GEM
View
20 NEWS.md
@@ -1,3 +1,23 @@
+# v1.4.0
+
+* Added `strict` option to validation matchers.
+
+* Verify that arguments to `set_the_flash` matcher are valid.
+
+* Fix issue in ValidateUniquenessMatcher that could cause an error on postgres.
+
+* You can now pass an array to `ensure_exclusion_of` using `in_array`.
+
+* Allow testing of :foreign_key option for has_one relationships using the association matcher.
+
+* Fix bug where `ensure_length_of` would pass if the given string was too long.
+
+* `allow_blank` will now allow values such as: ' ', '\n', and '\r'.
+
+* Test outside values for `ensure_inclusion_of` when given an array.
+
+* Fixed the output of the set_the_flash matcher.
+
# v1.3.0
* `validate_format_of` will accept `allow_blank(bool)` and `allow_nil(bool)`
View
2  gemfiles/3.0.gemfile.lock
@@ -1,5 +1,5 @@
PATH
- remote: /Users/gabe/thoughtbot/open-source/shoulda-matchers
+ remote: /Users/draper/Dropbox/Development/shoulda-matchers
specs:
shoulda-matchers (1.3.0)
activesupport (>= 3.0.0)
View
2  gemfiles/3.1.gemfile.lock
@@ -1,5 +1,5 @@
PATH
- remote: /Users/gabe/thoughtbot/open-source/shoulda-matchers
+ remote: /Users/draper/Dropbox/Development/shoulda-matchers
specs:
shoulda-matchers (1.3.0)
activesupport (>= 3.0.0)
View
2  gemfiles/3.2.gemfile.lock
@@ -1,5 +1,5 @@
PATH
- remote: /Users/gabe/thoughtbot/open-source/shoulda-matchers
+ remote: /Users/draper/Dropbox/Development/shoulda-matchers
specs:
shoulda-matchers (1.3.0)
activesupport (>= 3.0.0)
View
2  lib/shoulda/matchers/version.rb
@@ -1,5 +1,5 @@
module Shoulda
module Matchers
- VERSION = '1.3.0'.freeze
+ VERSION = '1.4.0'.freeze
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.